.TH RUSHLAST "1" "December 2010" "GNU Rush 1\&.7" "Gnurush"
.\" Disable hyphenation
.nh
.\" and justification
.ad 1
.
.SH "NAME"
rushlast \- retrieve information of previous uses of rush
.
.SH "SYNOPSIS"
.HP 9
\fBrushlast\fP [OPTION] [user [user ...]]
.HP 9
\fBrushlast\fP [\fB\-F\fI STRING\fR] [\fB\-f\fI DIR\fR] [\fB\-n\fI NUM\fR]
[\fB\-\-forward\fP] [\-H]
.HP 9
\fBrushlast\fP {\fB\-v\fP | \fB\-h\fP | \fB\-\-usage\fP}
.
.SH "DESCRIPTION"
.PP
\fBrushlast\fP
is a utility to search backwards in the session history that
\fBGNU rush\fP maintains about all users calling on its services.
.
.SH "OPTIONS"
.TP
\fB\-F\fP \fISTRING\fP | \fB\-\-format\fP=\fISTRING\fP
Use specified format string instead of the default string.
.
.TP
\fB\-f\fP \fIDIR\fP | \fB\-\-file\fP=\fIDIR\fP
Use database directory DIR.
Default location is \fI/var/lib/rush\fP.
.
.TP
\fB\-\-forward\fP
Display entries in chronological instead of reverse time order.
The latter is the default mode of operation.
.
.TP
\fB\-n\fP \fINUM\fP | \fB\-\-count\fP=\fINUM\fP | \fB\-\fINUM\fP
Show at most NUM records.  The numerical form, such as '\-3',
is provided for compatibility with the standard utility \fBlast\fP(1).
.
.TP
\fB\-H\fP | \fB\-\-no-header\fP
Suppress the header line in printout.
.
.TP
\fB\-v\fP | \fB\-\-version\fP
Display program version.
.
.TP
\fB\-h\fP | \fB\-\-help\fP
Display a short help message.
.
.TP
\fB\-\-usage\fP
Display a concise usage summary.
.
.SH "FILES"
.TP
\fI/etc/rush.rc\fP
Location of configuration file.
.TP
\fI/var/lib/rush\fP
Default database directory, where the session history files
\fIutmp\fP and \fIwtmp\fP are maintained.
.
.SH "ENVIRONMENT VARIABLES"
.
.IP RUSHLAST_FORMAT
Formatting string to be used instead of the hard coded value,
whenever the switch \fB\-F\fP is not in use.
An unset value makes \fBrushlast\fP apply the default string.
.
.SH "SEE ALSO"
The full documentation for \fBrushlast\fP is maintained as a Texinfo manual.
If the \fBinfo\fP and \fBrush\fP programs were installed from source
at your site, the command
.IP
\fBinfo rush\fP
.PP
should give you access to the complete manual.
.PP
An online manual is available at
.IP
\fIhttp://puszcza.gnu.org.ua/software/rush/manual.html\fP.
.PP
The Debian package provides information in
.IP
/etc/rush.rc
.br
/usr/share/doc/rush/README.Debian.gz
.PP
with relevant examples, but cannot include the Texinfo manual.
.PP
See also \fBrush\fP(8) and \fBrushwho\fP(1).
.
.SH "AUTHOR"
.PP
This text was written by Mats Erik Andersson for the Debian project,
because the original source supplies documentation only in the
form of a GNU Texinfo manual.
The upstream author licenses the manual under GFDL-1.3,
so it had to be removed from the Debian packaging.
